from __future__ import print_function
import unittest
import os
import modpipe.test
import modpipe.binaries
import subprocess

class MkSpazTests(modpipe.test.TestCase):

    def test_mkspaz(self):
        """Check mkspaz from SPASM"""
        expected_lines = [' Nr of atoms : (       1915)', '',
                          ' Nr of residues found   : (        249)',
                          ' Nr of residues written : (        249)']
        binary = modpipe.binaries.get_spasm('mkspaz')
        spasm = 'foo.spasm'
        p = subprocess.Popen([binary], stderr=subprocess.PIPE,
                             stdout=subprocess.PIPE, stdin=subprocess.PIPE,
                             universal_newlines=True)
        print("%s\n../db/pdb/pdb1apx.ent\n" % spasm, file=p.stdin)
        p.stdin.close()
        lines = p.stdout.readlines()
        p.stdout.close()
        print(lines[-28:-24])
        errlines = p.stderr.readlines()
        p.stderr.close()
        self.require_clean_exit(p)
        os.unlink(spasm)
        self.assertEqual(len(errlines), 1)
        self.assertEqual([line.rstrip('\r\n ') for line in lines[-28:-24]],
                         expected_lines)

if __name__ == '__main__':
    unittest.main()
